Bug 67328 - gcc3 internal compiler error when compiling mplayer-current
gcc3 internal compiler error when compiling mplayer-current
Status: CLOSED DEFERRED
Product: Red Hat Linux
Classification: Retired
Component: gcc3 (Show other bugs)
7.3
i686 Linux
medium Severity medium
: ---
: ---
Assigned To: Jakub Jelinek
http://www.mplayerhq.hu
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2002-06-22 14:56 EDT by ryan mcdougall
Modified: 2008-05-01 11:38 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2002-06-30 15:42:08 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
preprocessed and somewhat whittled-down mplayer.c from 6-29-2002 CVS (165.86 KB, text/plain)
2002-06-30 15:37 EDT, Andrew Schultz
no flags Details

  None (edit)
Description ryan mcdougall 2002-06-22 14:56:47 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.0.0) Gecko/20020606

Description of problem:
When compiling MPlayer-0.90pre5, GUI portion of code aborts with internal
compiler error. My guess it that mplayer is using standard syntax that 3.0
doesnt support, or optimizing to level 4 rejiggers the code in some bad way.


Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1. Get MPlayer-0.90pre5 from URL
2. run './configure --enable-gui'
3. run 'make'
	

Actual Results:  
make[2]: Entering directory `/tmp/MPlayer-0.90pre5/Gui/mplayer'
gcc3 -c -O4 -march=i686 -mcpu=i686 -pipe -ffast-math -fomit-frame-pointer
-D_REENTRANT -D_LARGEFILE_SOURCE -D_FILE_OFFSET_BITS=64 -fomit-frame-pointer
-fexpensive-optimizations -fschedule-insns2 -Wall -malign-double -I. -I../event
-I../wm -I../skin -I/usr/include/gtk-1.2 -I/usr/include/glib-1.2
-I/usr/lib/glib/include -I/usr/X11R6/include -I/usr/include/gtk-1.2
-I/usr/include/glib-1.2 -I/usr/lib/glib/include -I/usr/X11R6/include -DDEBUG -o
mplayer.o mplayer.c
In file included from mplayer.c:34:
mw.h: In function `mplMainDraw':
mw.h:209: Internal compiler error in print_rtl_and_abort, at flow.c:6458
Please submit a full bug report,
with preprocessed source if appropriate.
See <URL:http://bugzilla.redhat.com/bugzilla/> for instructions.
make[2]: *** [mplayer.o] Error 1
make[2]: Leaving directory `/tmp/MPlayer-0.90pre5/Gui/mplayer'
make[1]: *** [libgui.a] Error 2
make[1]: Leaving directory `/tmp/MPlayer-0.90pre5/Gui'
make: *** [Gui/libgui.a] Error 2
[root@draegun MPlayer-0.90pre5]

Expected Results:  
Done!

[root@draegun MPlayer-0.90pre5]

Additional info:

Machine: Intel Celereon 550mHz, 384mb SDRAM, Abit BP6
Package: gcc3-3.0.4-1
Warning: Mplayer maintainer is a bit testy about compilers. :(
Solution: Upgrade to 3.1 ??

I tried emailing this to Arpi, but there are no bug report addresses on the website.

Please email me if any further info required. I am a competent programmer, but
know next to nothing about compilers.
Comment 1 Andrew Schultz 2002-06-30 15:37:22 EDT
Created attachment 63164 [details]
preprocessed and somewhat whittled-down mplayer.c from 6-29-2002 CVS
Comment 2 Andrew Schultz 2002-06-30 15:42:04 EDT
% gcc3 -O3 -c -pipe -o mplayer.o mplayer-test.i

is sufficient to cause problems.  gcc-2.96-110 or -O2 complain about other
things, but do not ICE. (un-whittled-down source compiles fine with gcc-2.96-110
or with -O2).
Comment 3 Jakub Jelinek 2002-07-01 10:55:31 EDT
We have never shipped gcc 3.0.4 for 7.3.
gcc3-3.1-{5,6,7} compiles this just fine.

Note You need to log in before you can comment on or make changes to this bug.